Bug 189757 - OpenOffice Presentation crashes while displaying a PPT file
OpenOffice Presentation crashes while displaying a PPT file
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 09:15 EDT by Guillermo Garron
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 13:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The offending PPT (5.15 MB, application/vnd.ms-powerpoint)
2006-04-25 08:41 EDT, Guillermo Garron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 64758 None None None Never

  None (edit)
Description Guillermo Garron 2006-04-24 09:15:39 EDT
Video Driver is probably: radeon
Desktop is: not GNOME
libgcj version is: libgcj-4.1.0-3
kernel is: Linux 2.6.16-1.2080_FC5smp #1 SMP Tue Mar 28 03:55:15 EST 2006 i686
i686 i386
OpenOffice.org core rpm version is: openoffice.org-core-2.0.2-5.7.2
accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 20
Policy from config file:        targeted
...end sestatus details ...
0x6d1f680: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e680
0x6d1fec0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1eec0
0x7be420:  + 0x420 (__kernel_sigreturn + 0x0)
0xd30740: /usr/lib/openoffice.org2.0/program/libgo680li.so + 0x60740
(GraphicManager::ImplCreateOutput(OutputDevice*, Point const&, Size const&,
BitmapEx const&, GraphicAttr const&, unsigned long, BitmapEx*) + 0x8d0)
0xd31e75: /usr/lib/openoffice.org2.0/program/libgo680li.so + 0x61e75
(GraphicManager::ImplDraw(OutputDevice*, Point const&, Size const&,
GraphicObject&, GraphicAttr const&, unsigned long, unsigned char&) + 0xa9)
0xd32214: /usr/lib/openoffice.org2.0/program/libgo680li.so + 0x62214
(GraphicManager::DrawObj(OutputDevice*, Point const&, Size const&,
GraphicObject&, GraphicAttr const&, unsigned long, unsigned char&) + 0x176)
0xd2a40a: /usr/lib/openoffice.org2.0/program/libgo680li.so + 0x5a40a
(GraphicObject::Draw(OutputDevice*, Point const&, Size const&, GraphicAttr
const*, unsigned long) + 0x28c)
0x489abec: /usr/lib/openoffice.org2.0/program/vclcanvas.uno.so + 0x2dbec
0x489badc: /usr/lib/openoffice.org2.0/program/vclcanvas.uno.so + 0x2eadc
0x488d5a2: /usr/lib/openoffice.org2.0/program/vclcanvas.uno.so + 0x205a2
0x6763159: /usr/lib/openoffice.org2.0/program/libcppcanvas680li.so + 0x3a159
(cppcanvas::internal::(anonymous
namespace)::TexturedPolyPolyAction::render(com::sun::star::uno::Reference<com::sun::star::rendering::XCachedPrimitive>&,
basegfx::B2DHomMatrix const&) const + 0xc3)
0x67575f9: /usr/lib/openoffice.org2.0/program/libcppcanvas680li.so + 0x2e5f9
(cppcanvas::internal::CachedPrimitiveBase::render(basegfx::B2DHomMatrix const&)
const + 0x95)
0x675fabc: /usr/lib/openoffice.org2.0/program/libcppcanvas680li.so + 0x36abc
0x675fae3: /usr/lib/openoffice.org2.0/program/libcppcanvas680li.so + 0x36ae3
(cppcanvas::internal::(anonymous namespace)::ActionRenderer
_STL::for_each<cppcanvas::internal::ImplRenderer::MtfAction const*,
cppcanvas::internal::(anonymous
namespace)::ActionRenderer>(cppcanvas::internal::ImplRenderer::MtfAction const*,
cppcanvas::internal::ImplRenderer::MtfAction const*,
cppcanvas::internal::(anonymous namespace)::ActionRenderer) + 0x17)
0x6758982: /usr/lib/openoffice.org2.0/program/libcppcanvas680li.so + 0x2f982
(cppcanvas::internal::ImplRenderer::draw() const + 0x52)
0x5ab2048: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0xc9048
0x5ab282a: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0xc982a
0x5ab3273: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0xca273
0x5a62c71: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x79c71
0x5a7a143: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x91143
0x5a7a16c: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x9116c
0x5a7a18d: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x9118d
0x5a7a1b2: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x911b2
0x5a7a2bb: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x912bb
0x5a79eca: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x90eca
0x5a7bda4: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x92da4
0x5a95178: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0xac178
0x5a96ce4: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0xadce4
0x5a83b86: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x9ab86
0x5a854a9: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x9c4a9
0x5a854c0: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x9c4c0
0x5a88690: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x9f690
0x5a886a1: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x9f6a1
0x5abb1c5: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0xd21c5
0x5abb069: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0xd2069
0x5a753ef: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x8c3ef
0x5a7fe55: /usr/lib/openoffice.org2.0/program/slideshow.uno.so + 0x96e55
0x34175ac: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2e85ac
0x34176c8: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2e86c8
0x71be2f6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x832f6
0x71c9cbe: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ecbe
(Timer::Timeout() + 0x10)
0x71c9e58: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ee58
0x3d542f: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3c42f
0x3d5268: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3c268
(SalData::Timeout() const + 0x24)
0xedd899: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14899
0x1f87b6: /usr/lib/libglib-2.0.so.0 + 0x257b6
0x1f809d: /usr/lib/libglib-2.0.so.0 + 0x2509d (g_main_context_dispatch + 0x16d)
0x1fb32f: /usr/lib/libglib-2.0.so.0 + 0x2832f
0x1fb895: /usr/lib/libglib-2.0.so.0 + 0x28895 (g_main_context_iteration + 0x65)
0xedd901: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14901
0x3dc21d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4321d
(X11SalInstance::Yield(unsigned char) + 0x27)
0x71c5866: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a866
(Application::Yield() + 0x48)
0x71c58ea: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a8ea
(Application::Execute() + 0x26)
0x5770bb: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x280bb
(desktop::Desktop::Main() + 0x15af)
0x71c9956: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e956
0x71c9a09: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ea09 (SVMain()
+ 0x2b)
0x56fbf3: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20bf3 (sal_main +
0x57)
0x56fc3f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20c3f (main + 0x27)
0x7f17e4: /lib/libc.so.6 + 0x157e4 (__libc_start_main + 0xdc)
0x80484b1: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4b1
Comment 1 Caolan McNamara 2006-04-24 09:24:12 EDT
It'd be great if you were able to attach the offending ppt to this bug.
Comment 2 Guillermo Garron 2006-04-25 08:41:13 EDT
Created attachment 128195 [details]
The offending PPT

OpenOffice crashes when going from slide 4 to 5
Comment 3 Caolan McNamara 2006-04-25 13:50:57 EDT
I see the crash. Affects all OOo varients, moving upstream as cut-down
demonstration at http://www.openoffice.org/issues/show_bug.cgi?id=64758

Note You need to log in before you can comment on or make changes to this bug.